{% extends 'profile/layouts/frontend/base.html' %}
{% load humanize %}
{% load static %}
{% block main %}
<!-- <div class="breadcrumbs">
    <div class="wrap">
        <div class="wrap_float">
            <a href="#">Home</a>
            <span class="separator">/</span>
            <a href="#" class="current">Berita</a>
        </div>
    </div>
</div> -->
<div class="image_bg--single" style="background-image: url('{% static 'frontend/img/header5.jpg' %}');"></div>
<div class="page_content blog-page">
    <div class="wrap">
        <div class="wrap_float">
            <div class="main">
                <div class="blog-list">
                    {% for x in page_obj %}
                    <a href="{% url 'profile:detail_berita' x.slug %}" class="blog-item">
                        <div class="_img" style="background-image: url('{{x.thumbnail.url}}')">
                            <div class="sq_parent">
                               <div class="sq_wrap">
                                   <div class="sq_content"></div>
                               </div>
                            </div>
                        </div>
                        <div class="_date">{{x.created_at|date:"d F Y"}} | {{x.category.nama}}</div>
                        <div class="_title">
                            {{x.title}}
                        </div>
                        <div class="_text">
                            {{x.content | safe | truncatewords:25}}    
                        </div>
                    </a>
                    {% endfor %}
                </div>
                <div class="pagination">
                    <ul>
                        {% if page_obj.has_previous %}
                            <li class="prev">
                                <a class="page-link" href="?page={{ page_obj.previous_page_number }}&amp;q={{ query }}"></a>
                            </li>
                        {% endif %}

                        {% for num in page_obj.paginator.page_range %}
                            {% if page_obj.number == num %}
                                <li class="current"><a class="page-link" href="#">{{ num }}</a></li>
                            {% elif num > page_obj.number|add:'-4' and num < page_obj.number|add:'4' %}
                                <li><a class="page-link" href="?page={{ num }}&amp;q={{ query }}">{{ num }}</a></li>
                            {% endif %}
                        {% endfor %}

                        {% if page_obj.has_next %}
                            <li class="next">
                                <a class="page-link" href="?page={{ page_obj.next_page_number }}&amp;q={{ query }}"></a>
                            </li>
                        {% endif %}
                        <!-- <li class="prev"><a href="#"></a></li>
                        <li class="current"><a href="#">1</a></li>
                        <li><a href="#">2</a></li>
                        <li><a href="#">3</a></li>
                        <li><a href="#">4</a></li>
                        <li class="next"><a href="#"></a></li> -->
                    </ul>
                </div>
            </div>
            <div class="sidebar">
                <div class="categories--list">
                    <div class="block-title">Kategori</div>
                    <ul>
                        {% for x in cat %}
                        <li>
                            <a href="{% url 'profile:kategori' x.id %}">
                                <span class="count">{{x.news_count}}</span>
                                <span class="_title">{{x.nama}}</span>
                            </a>
                        </li>
                        {% endfor %}
                    </ul>
                </div>
                <div class="text_widget" style="background-color: #009A70;">
                    <div class="_title">
                      Yogya Explore
                    </div>
                    <div class="_text">
                       Yogya Explore adalah Layanan Jasa Transportasi & City Tour Wisata Yang dapat Anda Gunakan Untuk Wisata Di Wilayah Yogyakarta dan Sekitarnya.
                       <br>
                       <p align="right"><b><i>Power By A&A Putra Makmur</i></b></p>
                    </div>
                </div>
                <div class="recent_photo">
                    <div class="block-title">
                        Galeri Foto
                    </div>
                    <div class="photos">
                        {% for x in gal %}
                            <a href="{% url 'profile:galeri' %}" class="item">
                                <div class="sq_parent">
                                <div class="sq_wrap">
                                    <div class="sq_content">
                                        <img src="{{x.foto.url}}" alt="">
                                    </div>
                                </div>
                                </div>
                            </a>
                        {% endfor %}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock main %}